---
apiVersion: v1
kind: Service
metadata:
  name: inbiz
  namespace: edoc2
  labels:
    app: inbiz
spec:
  ports:
  - name: inbiz
    port: 80
    targetPort: 80
    protocol: TCP
  - name: inbiz-grpc
    port: 5003
    targetPort: 5003
    protocol: TCP
  selector:
    app: inbiz
  type: ClusterIP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: inbiz
  namespace: edoc2
  labels:
    app: inbiz
    k8s-app: inbiz
spec:
  replicas: 1
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      app: inbiz
  template:
    metadata:
      labels:
        app: inbiz
    spec:
      hostname: inbiz
      terminationGracePeriodSeconds: 60
      containers:
      - name: inbiz-container
        image: registry.edoc2.com:5000/edoc2v5/inbiz:edrms-v6.2.1.0-arm
        imagePullPolicy: IfNotPresent
        envFrom:
        - configMapRef:
            name: mid-envfile
        - configMapRef:
            name: inbiz-envfile
        securityContext:
          capabilities:
            add: ["SYS_PTRACE"]
        ports:
        - name: inbiz
          containerPort: 80
        - name: inbiz-grpc
          containerPort: 5003
        #resources:
        #  requests:
        #    memory: 24
        #    cpu: 8
        #  limits:
        #    memory: 24
        #    cpu: 8
      restartPolicy: Always
      nodeSelector:
        node.drive.nodelabels: InDrive
